Bug 151105 - SCSI errors when using aic7xxx or aic79xx with external RAID array
SCSI errors when using aic7xxx or aic79xx with external RAID array
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Tom Coughlan
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-14 17:37 EST by Mark Komarinski
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-30 10:59:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
messages from running with aic79xx module (6.05 KB, text/plain)
2005-03-14 17:37 EST, Mark Komarinski
no flags Details
messages from running with aic7xxx module (8.03 KB, text/plain)
2005-03-14 17:41 EST, Mark Komarinski
no flags Details

  None (edit)
Description Mark Komarinski 2005-03-14 17:37:13 EST
Description of problem:

System basically becomes unusable when either module is loaded and connected to
an external RAID array.  Array presents itself as a single SCSI ID with each 2TB
logical drive showing up as a separate LUN.  Errors show up with different cards
 and different cables, and only after about a minute's worth of stress testing
(I use bonnie++).

Version-Release number of selected component (if applicable):
kernel-2.4.21-27.0.2.ELsmp

How reproducible:
Every time

Steps to Reproduce:
1. Load aic7xxx or aic79xx module
2. Start bonnie++
3. Wait and monitor /var/log/messages
  
Actual results:
See attachment

Expected results:
Bonnie run to completion without error.

Additional info:
Comment 1 Mark Komarinski 2005-03-14 17:37:13 EST
Created attachment 111999 [details]
messages from running with aic79xx module
Comment 2 Mark Komarinski 2005-03-14 17:41:47 EST
Created attachment 112000 [details]
messages from running with aic7xxx module
Comment 3 Mark Komarinski 2005-03-30 10:51:06 EST
This bug can be closed.  Was able to trace the problem down to a problem with
Adaptec.  Dropping the speed to U160 and disabling packet transfers on the
U320-based card cleared this problem.
Comment 4 Tom Coughlan 2005-03-30 10:59:34 EST
Thanks for the update. 

Note You need to log in before you can comment on or make changes to this bug.